# Pica standalone container

A minimal pica distribution container, has environment to run pica and pica itself (no webserver included)

### Running
This container creates a unix socket `/run/pica/pica.sock`. I expect you to forward there fcgi requests from webserver.

The simplest run is like this
```
$ docker run --rm thebluestbird/pica-standalone:latest
```

If you want the socket to be created somewhere outside of the container so you can operate it run it like so:
```
$ docker run --rm -v .:/run/pica thebluestbird/pica-standalone:latest
```
This action will bind current directory to container `/run/pica`, so the container will create a socket in your current directory. If you want a dedicated place for the socket to be created - just replace `.` after `-v` with the desired path.
